#include <iostream>
#include <string>
#include <set>

#define MAXN 100000
#define MAXL 10+1

std::string target_var[MAXN];
std::string operand1_var[MAXN];
std::string operand2_var[MAXN];

int main() {
    int N;
    std::cin >> N;

    for (int i = 0; i < N; i++) {
        char eq, op;
        std::cin >> target_var[i] >> eq >> operand1_var[i] >> op >> operand2_var[i];
    }

    std::set<std::string> compromised;

    int doable = 0;
    for (int i = 0; i < N; i++) {
        if (compromised.count(operand1_var[i]) == 0 &&
                compromised.count(operand2_var[i]) == 0)
            doable++;
        compromised.insert(target_var[i]);
    }
    
    std::cout << doable << std::endl;

    return 0;
}
