#include <stdio.h>
#include <assert.h>
#include <algorithm>
#include <vector>
#include <iostream>

#define MAXN 2000000

using namespace std;

int demolish(int N, int K, int L, int A[]) {
    if (N == 0) return 0;

    for (int i = 0; i < N; i++)
        if (A[i] >= K)
            A[i] -= K;
    std::sort(A, A+N);
    vector<int> M(2*N);
    for (int i = 0; i < N; i++) {
        M[i] = A[i];
        M[i+N] = A[i] + K;
    }

    int sol = N;
    int right = 0;
    for (int left=0; left<N; ++left) {
        while (M[right]-M[left] <= L) right++;
//        printf("(%d:%d -- %d:%d)\n", left, M[left], right, M[right]);
        sol = min(sol, right-left-1);
    }
    return sol;
}


int A[MAXN];

int main() {
    FILE *fr, *fw;
    int N, K, L, i;

    fr = stdin;
    fw = stdout;

    assert(3 == fscanf(fr, "%d %d %d", &N, &K, &L));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%d", &A[i]));

    fprintf(fw, "%d\n", demolish(N, K, L, A));
    fclose(fr);
    fclose(fw);
    return 0;
}
