#include <bits/stdc++.h>

#define MAXN 1000000

std::map<int, int> seq;

bool cmp(const std::pair<int, int>& p1, const std::pair<int, int>& p2) {
    return p1.second < p2.second;
}

int solve(int N, int K, int V[]) {
    for (int i = 0; i <= N - K; i++) {
        int val = 0;
        for (int j = K - 1, exp = 1; j >= 0; j--, exp *= 10) {
            val += V[i + j] * exp;
        }
        seq[val]++;
    }
    return std::max_element(seq.begin(), seq.end(), cmp)->first;
}


int V[MAXN];

int main() {
    FILE *fr, *fw;
    int N, K, i;

#ifdef EVAL
    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
#else
    fr = stdin;
    fw = stdout;
#endif
    assert(2 == fscanf(fr, "%d %d", &N, &K));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%d", &V[i]));
    int pin = solve(N, K, V);
    std::string sol = "";
    for(i=0; i<K; i++) {
        sol = std::to_string(pin % 10) + " " + sol;
        pin /= 10;
    }

    std::cout << sol << std::endl;

    fclose(fr);
    fclose(fw);
    return 0;
}
